Package org.opensaml.saml.metadata.resolver.impl

# Interface MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder

All Known Implementing Classes:
  `SAMLArtifactURLBuilder`

Enclosing class:
  MetadataQueryProtocolRequestURLBuilder

public static interface MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder
Interface for a component which builds a Metadata Query Protocol request URL from a base URL and criteria.

## Method Summary

Modifier and Type
Method
Description
`String`
`buildURL(String baseURL, CriteriaSet criteria)`
Build a request URL using the supplied base service URL and criteria.

## Method Details

### buildURL

@Nullable String buildURL(@Nonnull String baseURL, @Nullable CriteriaSet criteria)
Build a request URL using the supplied base service URL and criteria.

Parameters:
  `baseURL` - the service base URL
  `criteria` - the criteria
Returns:
  a URL based on the supplied inputs, or null if the implementation did not support or understand any of the supplied criteria